Loading...
Searching...
No Matches
D3D12_ROOT_SIGNATURE_DESC1 Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| _Field_size_full_ (NumParameters) const D3D12_ROOT_PARAMETER1 *pParameters
| _Field_size_full_ (NumStaticSamplers) const D3D12_STATIC_SAMPLER_DESC *pStaticSamplers

## Public Attributes

UINT | NumParameters
UINT | NumStaticSamplers
D3D12_ROOT_SIGNATURE_FLAGS | Flags

## Detailed Description

Definition at line 3078 of file mini_d3d12.h.

## Member Function Documentation

## _Field_size_full_() [1/2]

D3D12_ROOT_SIGNATURE_DESC1::_Field_size_full_ | ( | NumParameters |  | ) | const

References NumParameters.

## _Field_size_full_() [2/2]

D3D12_ROOT_SIGNATURE_DESC1::_Field_size_full_ | ( | NumStaticSamplers |  | ) | const

References NumStaticSamplers.

## Member Data Documentation

## NumParameters

UINT D3D12_ROOT_SIGNATURE_DESC1::NumParameters

Definition at line 3079 of file mini_d3d12.h.

Referenced by _Field_size_full_().

## NumStaticSamplers

UINT D3D12_ROOT_SIGNATURE_DESC1::NumStaticSamplers

Definition at line 3081 of file mini_d3d12.h.

Referenced by _Field_size_full_().

## Flags

D3D12_ROOT_SIGNATURE_FLAGS D3D12_ROOT_SIGNATURE_DESC1::Flags

Definition at line 3083 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h